Bug 1324234 - Capsule Upgrade Fails: foreman-installer --scenario capsule --upgrade throws error
Summary: Capsule Upgrade Fails: foreman-installer --scenario capsule --upgrade throws ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Sachin Ghai
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-05 22:23 UTC by Brad Buckingham
Modified: 2019-09-26 17:34 UTC (History)
3 users (show)

Fixed In Version: katello-installer-base-3.0.0.17-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:08:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 13198 Normal Closed Pulp node importers and distributors removed from all repos on the katello server and each capsule on upgrade 2020-07-16 03:16:39 UTC
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Description Brad Buckingham 2016-04-05 22:23:21 UTC

Comment 1 Brad Buckingham 2016-04-05 22:23:24 UTC
Created from redmine issue http://projects.theforeman.org/issues/13198

Comment 2 Brad Buckingham 2016-04-05 22:24:27 UTC
Note: this is also needed to be able to successfully run --upgrade on a capsule.

Comment 4 Mike McCune 2016-04-05 22:50:00 UTC
We need the upstream PR from the Redmine linked above to resolve the following error:

# foreman-installer --upgrade --scenario capsule
Upgrading...
Upgrade Step: stop_services...
Upgrade Step: start_databases...
/usr/share/katello-installer-base/hooks/pre/30-upgrade.rb:63:in `block (4 levels) in load': undefined method `value' for nil:NilClass (NoMethodError)
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hooking.rb:34:in `instance_eval'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hooking.rb:34:in `block (4 levels) in load'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hook_context.rb:13:in `instance_exec'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hook_context.rb:13:in `execute'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hooking.rb:51:in `block in execute'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hooking.rb:49:in `each'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/hooking.rb:49:in `execute'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/kafo_configure.rb:365:in `run_installation'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/kafo_configure.rb:147:in `execute'
	from /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
	from /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
	from /usr/share/gems/gems/kafo-0.7.2/lib/kafo/kafo_configure.rb:154:in `run'
	from /usr/sbin/foreman-installer:12:in `<main>'

Comment 5 Sachin Ghai 2016-04-14 10:37:41 UTC
Verified with upgrading capsule from sat6.2 beta snap7 to snap8.1

capsule upgrade completed as below

Updated:
  foreman-debug.noarch 0:1.11.0.13-1.el7sat         foreman-installer.noarch 1:1.11.0.2-1.el7sat foreman-installer-katello.noarch 0:3.0.0.18-1.el7sat
  katello-installer-base.noarch 0:3.0.0.18-1.el7sat python-kombu.noarch 1:3.0.33-7.el7sat        satellite-capsule.noarch 0:6.2.0-8.0.beta.el7sat    

Complete!
[root@cloud-qe-7 yum.repos.d]# foreman-installer --scenario capsule --upgrade
Upgrading...
Upgrade Step: stop_services...
Upgrade Step: start_databases...
Upgrade Step: migrate_pulp...
Upgrade Step: start_httpd...
Upgrade Step: remove_nodes_importers...
Upgrade Step: Running installer...
Installing             Done                                               [100%] [..................................................................]
  The full log is at /var/log/foreman-installer/capsule.log
Upgrade Step: restart_services...
Katello upgrade completed!
[root@cloud-qe-7 yum.repos.d]#

Comment 7 errata-xmlrpc 2016-07-27 09:08:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.